package vn.azteam.tpf.service.dto;

import vn.azteam.tpf.domain.TBActivity;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBHarvest entity.
 */
public class TBHarvestDTO implements Serializable {

    private Long id;

    private Double totalQuantity;

    private Double collectedQuantityLv1;

    private Double collectedQuantityLv2;

    private Double collectedQuantityLv3;

    private Double removedQuantity;

    private Double lossPercent;

    private Long tbActivityId;

    private Long tbCustomerId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Double getTotalQuantity() {
        return totalQuantity;
    }

    public void setTotalQuantity(Double totalQuantity) {
        this.totalQuantity = totalQuantity;
    }

    public Double getCollectedQuantityLv1() {
        return collectedQuantityLv1;
    }

    public void setCollectedQuantityLv1(Double collectedQuantityLv1) {
        this.collectedQuantityLv1 = collectedQuantityLv1;
    }

    public Double getCollectedQuantityLv2() {
        return collectedQuantityLv2;
    }

    public void setCollectedQuantityLv2(Double collectedQuantityLv2) {
        this.collectedQuantityLv2 = collectedQuantityLv2;
    }

    public Double getCollectedQuantityLv3() {
        return collectedQuantityLv3;
    }

    public void setCollectedQuantityLv3(Double collectedQuantityLv3) {
        this.collectedQuantityLv3 = collectedQuantityLv3;
    }

    public Double getRemovedQuantity() {
        return removedQuantity;
    }

    public void setRemovedQuantity(Double removedQuantity) {
        this.removedQuantity = removedQuantity;
    }

    public Double getLossPercent() {
        return lossPercent;
    }

    public void setLossPercent(Double lossPercent) {
        this.lossPercent = lossPercent;
    }

    public Long getTbActivityId() {
        return tbActivityId;
    }

    public void setTbActivityId(Long tBActivityId) {
        this.tbActivityId = tBActivityId;
    }

    public Long getTbCustomerId() {
        return tbCustomerId;
    }

    public void setTbCustomerId(Long tbCustomerId) {
        this.tbCustomerId = tbCustomerId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBHarvestDTO tBHarvestDTO = (TBHarvestDTO) o;
        if (tBHarvestDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBHarvestDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBHarvestDTO{" +
            "id=" + getId() +
            ", totalQuantity=" + getTotalQuantity() +
            ", collectedQuantityLv1=" + getCollectedQuantityLv1() +
            ", collectedQuantityLv2=" + getCollectedQuantityLv2() +
            ", collectedQuantityLv3=" + getCollectedQuantityLv3() +
            ", removedQuantity=" + getRemovedQuantity() +
            ", lossPercent=" + getLossPercent() +
            ", tbActivity=" + getTbActivityId() +
            ", tbActivity=" + getTbCustomerId() +
            "}";
    }
}
